import { ChannelReq, ChannelRes, DeviceReq, DeviceRes } from "../types/device";
import { GET } from "./http";

// 获取设备列表
export const getDevices = "GetDevices";
export async function GetDevices(data: DeviceReq) {
  return await GET<DeviceRes>(`/devices`, data);
}

// 获取通道列表
export const getChannels = "GetChannels";
export async function GetChannels(data: ChannelReq) {
  return await GET<ChannelRes>(`/channels`, data);
}
